Bug 1000055 - NPE during KieSession serialization
NPE during KieSession serialization
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.0.0
Assigned To: Edson Tirelli
Marek Winkler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:56 EDT by Marek Winkler
Modified: 2014-08-06 16:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception stack trace (3.53 KB, text/plain)
2013-08-22 10:56 EDT, Marek Winkler
no flags Details

  None (edit)
Description Marek Winkler 2013-08-22 10:56:54 EDT
Created attachment 789255 [details]
Exception stack trace

Description of problem:

When KieSession is serialized, a NPE is thrown in org.drools.core.marshalling.impl.ProtobufOutputMarshaller.writeRIANodeMemory(ProtobufOutputMarshaller.java:377).

Please see the attached stack trace for details.

I am not sure what exactly causes the NPE to be thrown, it probably depends on using some user defined facts (if I removed them, the NPE did not occur).

Please see the reproducer from the pull request which will be attached shortly.


Version-Release number of selected component (if applicable):

Drools 6.0.0-SNAPSHOT

How reproducible:

Please run JpaPersistentStatefulSessionTest#testMoreComplexRulesSerialization() test from the attached pull request.
Comment 1 Marek Winkler 2013-08-22 11:04:53 EDT
Pull request with reproducer: https://github.com/droolsjbpm/drools/pull/239
Comment 2 Edson Tirelli 2013-08-22 19:42:33 EDT
Fixed.

https://github.com/droolsjbpm/drools/compare/7ce8e3e...db184ec
Comment 3 Marek Winkler 2013-09-24 11:38:49 EDT
Verified on BRMS 6.0.0.ER3.

Note You need to log in before you can comment on or make changes to this bug.